public static final class ExtensionBinding.MatchCondition.To.Destination extends GeneratedMessage implements ExtensionBinding.MatchCondition.To.DestinationOrBuilder
Describes properties of a single destination.
Protobuf type
google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination
Inherited Members
com.google.protobuf.GeneratedMessage.<ContainingT,T>newFileScopedGeneratedExtension(java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ContainingT,T>newMessageScopedGeneratedExtension(com.google.protobuf.Message,int,java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT,int)
com.google.protobuf.GeneratedMessage.<T>emptyList(java.lang.Class<T>)
com.google.protobuf.GeneratedMessage.<V>serializeBooleanMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Boolean,V>,com.google.protobuf.MapEntry<java.lang.Boolean,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeIntegerMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Integer,V>,com.google.protobuf.MapEntry<java.lang.Integer,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeLongMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Long,V>,com.google.protobuf.MapEntry<java.lang.Long,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeStringMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.String,V>,com.google.protobuf.MapEntry<java.lang.String,V>,int)
com.google.protobuf.GeneratedMessage.canUseUnsafe()
com.google.protobuf.GeneratedMessage.emptyBooleanList()
com.google.protobuf.GeneratedMessage.emptyDoubleList()
com.google.protobuf.GeneratedMessage.emptyFloatList()
com.google.protobuf.GeneratedMessage.emptyIntList()
com.google.protobuf.GeneratedMessage.emptyLongList()
com.google.protobuf.GeneratedMessage.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.isStringEmpty(java.lang.Object)
com.google.protobuf.GeneratedMessage.mergeFromAndMakeImmutableInternal(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite)
com.google.protobuf.GeneratedMessage.newInstance(com.google.protobuf.GeneratedMessage.UnusedPrivateParameter)
com.google.protobuf.GeneratedMessage.parseUnknownFieldProto3(com.google.protobuf.CodedInputStream,com.google.protobuf.UnknownFieldSet.Builder,com.google.protobuf.ExtensionRegistryLite,int)
Static Fields
public static final int HEADER_SET_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
HOSTS_FIELD_NUMBER
public static final int HOSTS_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
PATHS_FIELD_NUMBER
public static final int PATHS_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
RESOURCES_FIELD_NUMBER
public static final int RESOURCES_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
Static Methods
getDefaultInstance()
public static ExtensionBinding.MatchCondition.To.Destination getDefaultInstance()
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()
newBuilder()
public static ExtensionBinding.MatchCondition.To.Destination.Builder newBuilder()
newBuilder(ExtensionBinding.MatchCondition.To.Destination prototype)
public static ExtensionBinding.MatchCondition.To.Destination.Builder newBuilder(ExtensionBinding.MatchCondition.To.Destination prototype)
public static ExtensionBinding.MatchCondition.To.Destination parseDelimitedFrom(InputStream input)
public static ExtensionBinding.MatchCondition.To.Destination parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(byte[] data)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(byte[] data)
| Parameter |
| Name |
Description |
data |
byte[]
|
parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteString data)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(ByteString data)
parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(CodedInputStream input)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(InputStream input)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteBuffer data)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(ByteBuffer data)
parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
public static ExtensionBinding.MatchCondition.To.Destination parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
parser()
public static Parser<ExtensionBinding.MatchCondition.To.Destination> parser()
Methods
equals(Object obj)
public boolean equals(Object obj)
| Parameter |
| Name |
Description |
obj |
Object
|
Overrides
getDefaultInstanceForType()
public ExtensionBinding.MatchCondition.To.Destination getDefaultInstanceForType()
public ExtensionBinding.MatchCondition.To.Destination.HeaderSet getHeaderSet()
Optional. A set of HTTP headers to match against. If not specified,
requests with any headers are matched.
.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
public ExtensionBinding.MatchCondition.To.Destination.HeaderSetOrBuilder getHeaderSetOrBuilder()
Optional. A set of HTTP headers to match against. If not specified,
requests with any headers are matched.
.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
getHosts(int index)
public ExtensionBinding.MatchCondition.StringMatch getHosts(int index)
Optional. A list of HTTP Hosts to match against. Limited to 10 hosts.
If not specified, any host is allowed. If specified, a match occurs
if any of the hosts matches the host value in the request.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getHostsCount()
public int getHostsCount()
Optional. A list of HTTP Hosts to match against. Limited to 10 hosts.
If not specified, any host is allowed. If specified, a match occurs
if any of the hosts matches the host value in the request.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
|
getHostsList()
public List<ExtensionBinding.MatchCondition.StringMatch> getHostsList()
Optional. A list of HTTP Hosts to match against. Limited to 10 hosts.
If not specified, any host is allowed. If specified, a match occurs
if any of the hosts matches the host value in the request.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];
getHostsOrBuilder(int index)
public ExtensionBinding.MatchCondition.StringMatchOrBuilder getHostsOrBuilder(int index)
Optional. A list of HTTP Hosts to match against. Limited to 10 hosts.
If not specified, any host is allowed. If specified, a match occurs
if any of the hosts matches the host value in the request.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getHostsOrBuilderList()
public List<? extends ExtensionBinding.MatchCondition.StringMatchOrBuilder> getHostsOrBuilderList()
Optional. A list of HTTP Hosts to match against. Limited to 10 hosts.
If not specified, any host is allowed. If specified, a match occurs
if any of the hosts matches the host value in the request.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
List<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatchOrBuilder> |
|
getParserForType()
public Parser<ExtensionBinding.MatchCondition.To.Destination> getParserForType()
Overrides
getPaths(int index)
public ExtensionBinding.MatchCondition.StringMatch getPaths(int index)
Optional. A list of paths to match against. Limited to 10
paths. If not specified, any path is allowed.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getPathsCount()
public int getPathsCount()
Optional. A list of paths to match against. Limited to 10
paths. If not specified, any path is allowed.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
|
getPathsList()
public List<ExtensionBinding.MatchCondition.StringMatch> getPathsList()
Optional. A list of paths to match against. Limited to 10
paths. If not specified, any path is allowed.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];
getPathsOrBuilder(int index)
public ExtensionBinding.MatchCondition.StringMatchOrBuilder getPathsOrBuilder(int index)
Optional. A list of paths to match against. Limited to 10
paths. If not specified, any path is allowed.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getPathsOrBuilderList()
public List<? extends ExtensionBinding.MatchCondition.StringMatchOrBuilder> getPathsOrBuilderList()
Optional. A list of paths to match against. Limited to 10
paths. If not specified, any path is allowed.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
List<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatchOrBuilder> |
|
getResources(int index)
public ExtensionBinding.MatchCondition.StringMatch getResources(int index)
Optional. A list of non-empty strings whose value is matched against
the resource to which a request is sent (e.g., an Agent in
AiApplication). If not specified, any resource is allowed.
If specified, a match occurs if any of the resources
matches the resource value in the request. Limited to 5 resources.
When matching against resources in the AgentRegistry, use the URNs
of the registry resources.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getResourcesCount()
public int getResourcesCount()
Optional. A list of non-empty strings whose value is matched against
the resource to which a request is sent (e.g., an Agent in
AiApplication). If not specified, any resource is allowed.
If specified, a match occurs if any of the resources
matches the resource value in the request. Limited to 5 resources.
When matching against resources in the AgentRegistry, use the URNs
of the registry resources.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
|
getResourcesList()
public List<ExtensionBinding.MatchCondition.StringMatch> getResourcesList()
Optional. A list of non-empty strings whose value is matched against
the resource to which a request is sent (e.g., an Agent in
AiApplication). If not specified, any resource is allowed.
If specified, a match occurs if any of the resources
matches the resource value in the request. Limited to 5 resources.
When matching against resources in the AgentRegistry, use the URNs
of the registry resources.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];
getResourcesOrBuilder(int index)
public ExtensionBinding.MatchCondition.StringMatchOrBuilder getResourcesOrBuilder(int index)
Optional. A list of non-empty strings whose value is matched against
the resource to which a request is sent (e.g., an Agent in
AiApplication). If not specified, any resource is allowed.
If specified, a match occurs if any of the resources
matches the resource value in the request. Limited to 5 resources.
When matching against resources in the AgentRegistry, use the URNs
of the registry resources.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getResourcesOrBuilderList()
public List<? extends ExtensionBinding.MatchCondition.StringMatchOrBuilder> getResourcesOrBuilderList()
Optional. A list of non-empty strings whose value is matched against
the resource to which a request is sent (e.g., an Agent in
AiApplication). If not specified, any resource is allowed.
If specified, a match occurs if any of the resources
matches the resource value in the request. Limited to 5 resources.
When matching against resources in the AgentRegistry, use the URNs
of the registry resources.
repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
List<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatchOrBuilder> |
|
getSerializedSize()
public int getSerializedSize()
| Returns |
| Type |
Description |
int |
|
Overrides
public boolean hasHeaderSet()
Optional. A set of HTTP headers to match against. If not specified,
requests with any headers are matched.
.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
boolean |
Whether the headerSet field is set.
|
hashCode()
| Returns |
| Type |
Description |
int |
|
Overrides
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Overrides
isInitialized()
public final boolean isInitialized()
Overrides
newBuilderForType()
public ExtensionBinding.MatchCondition.To.Destination.Builder newBuilderForType()
newBuilderForType(AbstractMessage.BuilderParent parent)
protected ExtensionBinding.MatchCondition.To.Destination.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Overrides
toBuilder()
public ExtensionBinding.MatchCondition.To.Destination.Builder toBuilder()
writeTo(CodedOutputStream output)
public void writeTo(CodedOutputStream output)
Overrides